<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}
<!-- Importar macro -->
{% import 'macros.html' as macro %}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}

<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}
		<div class="container-fluid">
		<div class="row">
				<div class="col-md-12 ">
					<h2>{{title}}</h2>
				</div>
		  </div>
		 	<div class="row">
				<!--Columna -->
				<div class="col-md-12 ">
          <a type="button" href="{{url_for('professor.create')}}" class="btn btn-success">Create</a>
          <table class="table table-bordered table-dark">
						<tr>
							<th>#</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th></th>
						</tr>
						{% for professor in professors %}
						    {{ macro.show_professor(professor) }}
						{% endfor %}
					</table>
				</div>
		</div><!--Fin de la fila -->
  </div><!-- Fin del contenedor -->
{% endblock %}
